require 'spec_helper'

describe Apify do

  it "parses Apify" do
    request   = File.read("#{Apify::Core.root}/spec/examples/apify_request.json")
    expected  = File.read("#{Apify::Core.root}/spec/examples/apify_response.json")
    response  = Apify::Core.crawl!(JSON.parse(request)).to_json
    expect(JSON.parse(response)).to eq JSON.parse(expected)
  end

  it "parses Github" do
    request   = File.read("#{Apify::Core.root}/spec/examples/github_blog_request.json")
    response  = Apify::Core.crawl!(JSON.parse(request))
    posts     = response.posts.reject{ |e| e['title'].nil? }
    expect(posts.count).to eq 30
  end

  it "parses Oblomoff" do
    request   = File.read("#{Apify::Core.root}/spec/examples/oblomoff_events_request.json")
    response  = Apify::Core.crawl!(JSON.parse(request))
    events    = response.events.reject{ |e| e['title'].nil? }
    expect(events.count).to eq 20
  end

  it "parses Vgorode KH" do
    request   = File.read("#{Apify::Core.root}/spec/examples/vgorode_kh_events_request.json")
    response  = Apify::Core.crawl!(JSON.parse(request))
    events    = response.events.reject{ |e| e['title'].nil? }
    expect(events.count).to eq 18
  end

  it "parses Vkontakte KH" do
    # t1 = Time.now
    # request = {
    #   index: {
    #     url: [
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=харьков&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=харьков&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=харьков&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=харьков&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=харьков&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=харьков&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=харьков&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=харьков&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=флешмоб&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=флешмоб&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=флешмоб&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=флешмоб&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=флешмоб&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=флешмоб&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=флешмоб&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=флешмоб&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечеринка&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечеринка&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечеринка&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечеринка&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечеринка&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечеринка&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечеринка&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечеринка&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=встреча&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=встреча&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=встреча&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=встреча&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=встреча&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=встреча&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=встреча&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=встреча&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечер&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечер&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечер&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечер&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечер&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечер&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечер&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вечер&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=семинар&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=семинар&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=семинар&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=семинар&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=семинар&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=семинар&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=семинар&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=семинар&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=мастер&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=мастер&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=мастер&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=мастер&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=мастер&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=мастер&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=мастер&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=мастер&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=презентация&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=презентация&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=презентация&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=презентация&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=презентация&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=презентация&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=презентация&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=презентация&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=проект&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=проект&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=проект&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=проект&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=проект&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=проект&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=проект&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=проект&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=серия&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=серия&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=серия&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=серия&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=серия&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=серия&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=серия&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=серия&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=финал&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=финал&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=финал&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=финал&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=финал&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=финал&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=финал&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=финал&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=понедельник&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=понедельник&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=понедельник&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=понедельник&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=понедельник&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=понедельник&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=понедельник&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=понедельник&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вторник&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вторник&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вторник&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вторник&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вторник&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вторник&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вторник&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=вторник&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=среда&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=среда&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=среда&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=среда&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=среда&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=среда&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=среда&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=среда&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=четверг&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=четверг&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=четверг&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=четверг&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=четверг&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=четверг&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=четверг&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=четверг&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=пятница&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=пятница&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=пятница&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=пятница&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=пятница&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=пятница&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=пятница&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=пятница&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=суббота&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=суббота&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=суббота&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=суббота&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=суббота&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=суббота&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=суббота&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=суббота&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=воскреснье&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=воскреснье&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=воскреснье&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=воскреснье&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=воскреснье&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=воскреснье&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=воскреснье&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=воскреснье&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=1&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=1&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=1&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=1&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=1&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=1&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=1&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=1&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=2&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=2&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=2&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=2&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=2&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=2&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=2&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=2&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=3&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=3&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=3&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=3&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=3&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=3&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=3&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=3&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=4&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=4&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=4&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=4&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=4&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=4&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=4&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=4&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=5&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=5&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=5&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=5&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=5&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=5&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=5&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=5&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=6&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=6&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=6&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=6&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=6&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=6&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=6&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=6&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=7&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=7&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=7&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=7&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=7&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=7&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=7&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=7&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=8&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=8&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=8&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=8&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=8&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=8&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=8&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=8&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=9&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=9&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=9&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=9&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=9&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=9&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=9&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=9&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=10&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=10&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=10&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=10&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=10&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=10&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=10&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=10&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=11&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=11&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=11&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=11&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=11&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=11&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=11&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=11&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=12&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=12&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=12&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=12&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=12&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=12&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=12&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=12&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=13&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=13&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=13&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=13&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=13&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=13&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=13&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=13&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=14&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=14&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=14&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=14&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=14&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=14&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=14&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=14&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=15&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=15&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=15&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=15&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=15&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=15&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=15&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=15&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=16&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=16&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=16&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=16&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=16&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=16&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=16&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=16&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=17&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=17&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=17&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=17&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=17&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=17&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=17&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=17&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=18&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=18&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=18&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=18&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=18&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=18&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=18&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=18&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=19&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=19&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=19&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=19&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=19&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=19&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=19&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=19&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=20&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=20&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=20&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=20&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=20&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=20&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=20&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=20&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=21&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=21&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=21&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=21&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=21&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=21&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=21&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=21&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=22&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=22&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=22&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=22&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=22&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=22&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=22&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=22&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=23&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=23&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=23&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=23&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=23&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=23&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=23&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=23&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=24&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=24&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=24&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=24&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=24&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=24&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=24&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=24&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=25&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=25&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=25&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=25&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=25&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=25&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=25&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=25&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=26&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=26&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=26&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=26&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=26&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=26&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=26&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=26&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=27&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=27&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=27&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=27&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=27&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=27&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=27&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=27&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=28&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=28&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=28&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=28&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=28&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=28&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=28&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=28&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=29&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=29&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=29&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=29&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=29&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=29&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=29&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=29&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=30&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=30&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=30&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=30&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=30&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=30&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=30&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=30&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=31&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=31&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=31&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=31&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=31&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=31&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=31&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=31&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=октябрь&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=октябрь&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=октябрь&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=октябрь&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=октябрь&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=октябрь&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=октябрь&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=октябрь&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=декабрь&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=декабрь&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=декабрь&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=декабрь&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=декабрь&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=декабрь&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=декабрь&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=декабрь&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=а&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=а&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=а&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=а&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=а&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=а&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=а&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=а&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=б&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=б&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=б&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=б&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=б&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=б&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=б&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=б&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=в&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=в&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=в&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=в&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=в&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=в&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=в&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=в&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=г&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=г&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=г&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=г&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=г&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=г&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=г&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=г&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=д&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=д&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=д&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=д&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=д&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=д&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=д&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=д&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=е&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=е&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=е&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=е&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=е&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=е&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=е&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=е&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ё&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ё&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ё&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ё&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ё&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ё&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ё&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ё&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ж&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ж&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ж&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ж&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ж&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ж&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ж&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ж&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=з&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=з&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=з&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=з&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=з&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=з&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=з&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=з&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=и&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=и&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=и&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=и&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=и&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=и&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=и&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=и&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=й&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=й&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=й&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=й&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=й&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=й&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=й&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=й&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=к&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=к&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=к&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=к&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=к&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=к&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=к&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=к&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=л&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=л&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=л&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=л&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=л&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=л&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=л&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=л&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=м&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=м&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=м&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=м&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=м&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=м&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=м&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=м&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=н&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=н&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=н&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=н&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=н&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=н&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=н&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=н&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=о&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=о&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=о&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=о&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=о&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=о&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=о&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=о&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=п&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=п&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=п&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=п&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=п&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=п&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=п&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=п&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=р&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=р&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=р&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=р&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=р&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=р&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=р&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=р&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=с&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=с&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=с&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=с&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=с&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=с&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=с&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=с&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=т&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=т&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=т&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=т&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=т&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=т&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=т&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=т&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=у&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=у&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=у&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=у&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=у&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=у&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=у&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=у&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ф&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ф&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ф&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ф&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ф&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ф&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ф&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ф&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=х&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=х&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=х&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=х&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=х&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=х&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=х&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=х&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ц&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ц&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ц&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ц&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ц&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ц&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ц&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ц&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ч&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ч&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ч&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ч&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ч&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ч&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ч&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ч&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ш&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ш&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ш&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ш&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ш&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ш&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ш&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ш&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=щ&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=щ&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=щ&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=щ&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=щ&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=щ&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=щ&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=щ&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ъ&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ъ&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ъ&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ъ&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ъ&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ъ&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ъ&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ъ&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ы&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ы&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ы&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ы&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ы&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ы&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ы&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ы&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ь&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ь&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ь&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ь&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ь&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ь&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ь&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ь&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=э&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=э&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=э&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=э&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=э&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=э&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=э&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=э&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ю&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ю&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ю&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ю&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ю&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ю&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ю&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=ю&c[section]=communities&c[type]=3&offset=280',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=я&c[section]=communities&c[type]=3&offset=0',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=я&c[section]=communities&c[type]=3&offset=40',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=я&c[section]=communities&c[type]=3&offset=80',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=я&c[section]=communities&c[type]=3&offset=120',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=я&c[section]=communities&c[type]=3&offset=160',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=я&c[section]=communities&c[type]=3&offset=200',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=я&c[section]=communities&c[type]=3&offset=240',
    #       'http://vk.com/search?c[city]=280&c[country]=2&c[q]=я&c[section]=communities&c[type]=3&offset=280'

    #     ],
    #     js: false
    #   },
    #   events: {
    #     from: "from('index') select('.groups_row a')",
    #     js: false,
    #     host: 'http://vk.com',
    #     pattern:{
    #       title: '<% title %>',
    #       description: '<% //div[@class="labeled fl_l" and ../div[@class="label fl_l"]/text() = "Описание:"] | first | html %>',
    #       address: '<% //div[@class="labeled fl_l" and ../div[@class="label fl_l"]/text() = "Местоположение:"]/a  %>',
    #       start: '<% //div[@class="labeled fl_l" and ../div[@class="label fl_l"]/text() = "Начало:"] %>',
    #       start: '<% //div[@class="labeled fl_l" and ../div[@class="label fl_l"]/text() = "Окончание:"] %>',
    #       image: '<% #page_avatar img | first | attr_src %>',
    #       images: '<% .group_photos_wrap img | mapattr_src %>'
    #     }
    #   }
    # }.to_json; nil
    # response  = Apify::Core.crawl!(JSON.parse(request), 2); nil
    # events    = response.events.reject{ |e| e['title'].nil? }; nil
    # t2 = Time.now; nil
    # t2 - t1

  end

end
